SubscriberData
Contact, locale, and custom attributes used by notification delivery.
Usage profiles
| Usage | Fields and validation |
|---|---|
| In requests | View fields |
| In responses | View fields |
In requests
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
firstName | string | Optional | Subscriber’s given name. |
lastName | string | Optional | Subscriber’s family name. |
email | string | Optional | Email address used for subscriber contact and delivery. |
phone | string | Optional | Phone number used for subscriber contact and delivery. |
avatarUrl | string | Optional | URL of the subscriber’s avatar image. |
locale | string | Optional | Subscriber locale used when rendering notifications. |
timezone | string | Optional | Subscriber time zone used for notification presentation. |
customData | Map from string to string | Optional | Additional template variables. |
In responses
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
firstName | string | Optional | Subscriber’s given name. |
lastName | string | Optional | Subscriber’s family name. |
email | string | Optional | Email address used for subscriber contact and delivery. |
phone | string | Optional | Phone number used for subscriber contact and delivery. |
avatarUrl | string | Optional | URL of the subscriber’s avatar image. |
locale | string | Optional | Subscriber locale used when rendering notifications. |
timezone | string | Optional | Subscriber time zone used for notification presentation. |
customData | Map from string to string | Optional | Additional template variables. |
Where used
| Reference | Relationship |
|---|---|
| Update subscriber profile data | POST /api/v1/notifications/manage/update-subscriber-data |
| Get the caller's subscriber profile | POST /api/v1/notifications/manage/get-subscriber |
Download the public reference contract.
Document: DOC-API-MODEL-subscriber-data.